MockAsyncContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.testing
[Groovy] Class MockAsyncContext

    java.lang.Object
      org.codehaus.groovy.grails.plugins.testing.MockAsyncContext

All Implemented Interfaces:
  javax.servlet.AsyncContext

    class MockAsyncContext
    extends java.lang.Object

Property Summary
`java.util.List` | `asyncListeners`
`java.lang.String` | `dispatchUri`
`javax.servlet.ServletRequest` | `request`
`javax.servlet.ServletResponse` | `response`
`long` | `timeout`

Constructor Summary
`MockAsyncContext(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `addListener(javax.servlet.AsyncListener listener)`
`void` | `addListener(javax.servlet.AsyncListener listener, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`
`void` | `complete()`
`java.lang.Object` | `createListener(java.lang.Class clazz)`
`void` | `dispatch()`
`void` | `dispatch(java.lang.String path)`
`void` | `dispatch(javax.servlet.ServletContext context, java.lang.String path)`
`boolean` | `hasOriginalRequestAndResponse()`
`void` | `start(java.lang.Runnable run)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### asyncListeners

    java.util.List asyncListeners

### dispatchUri

    java.lang.String dispatchUri

### request

    javax.servlet.ServletRequest request

### response

    javax.servlet.ServletResponse response

### timeout

    long timeout

Constructor Detail

### MockAsyncContext

    MockAsyncContext(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

Method Detail

### addListener

    void addListener(javax.servlet.AsyncListener listener)

### addListener

    void addListener(javax.servlet.AsyncListener listener, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)

### complete

    void complete()

### createListener

    java.lang.Object createListener(java.lang.Class clazz)

### dispatch

    void dispatch()

### dispatch

    void dispatch(java.lang.String path)

### dispatch

    void dispatch(javax.servlet.ServletContext context, java.lang.String path)

### hasOriginalRequestAndResponse

    boolean hasOriginalRequestAndResponse()

### start

    void start(java.lang.Runnable run)

Groovy Documentation